#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

string niz[3];

int main()
{
	ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
	cin >> niz[0] >> niz[1] >> niz[2];
	sort(niz, niz+3);
	cout << niz[2] << niz[1] << niz[0];
}